npm package discovery and stats viewer.

Discover Tips

  • General search

    [free text search, go nuts!]

  • Package details

    pkg:[package-name]

  • User packages

    @[username]

Sponsor

Optimize Toolset

I’ve always been into building performant and accessible sites, but lately I’ve been taking it extremely seriously. So much so that I’ve been building a tool to help me optimize and monitor the sites that I build to make sure that I’m making an attempt to offer the best experience to those who visit them. If you’re into performant, accessible and SEO friendly sites, you might like it too! You can check it out at Optimize Toolset.

About

Hi, 👋, I’m Ryan Hefner  and I built this site for me, and you! The goal of this site was to provide an easy way for me to check the stats on my npm packages, both for prioritizing issues and updates, and to give me a little kick in the pants to keep up on stuff.

As I was building it, I realized that I was actually using the tool to build the tool, and figured I might as well put this out there and hopefully others will find it to be a fast and useful way to search and browse npm packages as I have.

If you’re interested in other things I’m working on, follow me on Twitter or check out the open source projects I’ve been publishing on GitHub.

I am also working on a Twitter bot for this site to tweet the most popular, newest, random packages from npm. Please follow that account now and it will start sending out packages soon–ish.

Open Software & Tools

This site wouldn’t be possible without the immense generosity and tireless efforts from the people who make contributions to the world and share their work via open source initiatives. Thank you 🙏

© 2026 – Pkg Stats / Ryan Hefner

@wilfrynvil/api-documentation

v2.0.2

Published

Descarga los archivos estaticos de la construccion del proyecto o reconstruyelos desde el proyecto copia los controllers y las rutas para crear los enpoints middlewares opcionales **recomemdados** (en los controllers se hace la verificacion de todos los d

Readme

#use guide Descarga los archivos estaticos de la construccion del proyecto o reconstruyelos desde el proyecto copia los controllers y las rutas para crear los enpoints middlewares opcionales recomemdados (en los controllers se hace la verificacion de todos los datos, pero es mejor en los middlewares) Ya todo estaria ready, verifica que en el .env los nombres de las variables sean correctos (revisar con el .evn_template)

ahora solo queda servir los archivos estaticos desde la http://{url}/api y empezar a documentar los endpoints para una mejor experiencia de desarrollador

POST /api/sections

body: { "sectionName": "Auth", "sectionDescription": "Authentication endpoints" }

Response : { "id": "65fd123abc456", "sectionName": "Auth", "sectionDescription": "Authentication endpoints", "createdAt": "2026-02-27T03:00:00.000Z" }

GET /api/sections

Response : [ { "id": "65fd123abc456", "sectionName": "Auth", "sectionDescription": "Authentication endpoints" }, { "id": "65fd999xyz222", "sectionName": "Products", "sectionDescription": "Product management endpoints" } ]

GET /api/sections/:id Response : { "id": "65fd123abc456", "sectionName": "Auth", "sectionDescription": "Authentication endpoints", "endpoints": [ { "id": "ep1", "method": "POST", "URL": "api/auth/register", "description": "Register user" }, { "id": "ep2", "method": "POST", "URL": "api/auth/login", "description": "Login user" } ] }